Package com.usatiuk.dhfs.rpc

# Class RpcClientFactory

java.lang.Object
com.usatiuk.dhfs.rpc.RpcClientFactory

All Implemented Interfaces:
  `PeerDisconnectedEventListener`

@ApplicationScoped public class RpcClientFactory extends Object implements PeerDisconnectedEventListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`RpcClientFactory.ObjectSyncClientFunction<R>`

## Constructor Summary

Constructors
Constructor
Description
`RpcClientFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handlePeerDisconnected(PeerId peerId)`
`<R> R`
`withObjSyncClient(PeerId host, PeerAddress address, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
`withObjSyncClient(PeerId target, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
`withObjSyncClient(PeerId host, InetAddress addr, int port, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
`withObjSyncClient(Collection<PeerId> targets, RpcClientFactory.ObjectSyncClientFunction<R> fn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RpcClientFactory

public RpcClientFactory()

## Method Details

### withObjSyncClient

public <R> R withObjSyncClient(Collection<PeerId> targets, RpcClientFactory.ObjectSyncClientFunction<R> fn)

### withObjSyncClient

public <R> R withObjSyncClient(PeerId target, RpcClientFactory.ObjectSyncClientFunction<R> fn)

### withObjSyncClient

public <R> R withObjSyncClient(PeerId host, PeerAddress address, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)

### withObjSyncClient

public <R> R withObjSyncClient(PeerId host, InetAddress addr, int port, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)

### handlePeerDisconnected

public void handlePeerDisconnected(PeerId peerId)

Specified by:
  `handlePeerDisconnected` in interface `PeerDisconnectedEventListener`